Skip to content

Devices in zone​

GET
/users/{id}/getDevicesInZone

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

user id

Typestring
Required
Format"JSON"

Query Parameters

zoneId

ID of geofence to search. zoneId or zoneType required.

Typestring
Format"JSON"
zoneType

Type of zones to search. Ignored if zoneId is specified. zoneId or zoneType required.

Typestring
Format"JSON"
includeApprox

Include GSM / poor accuracy locations. Default to false.

Typestring
Format"JSON"

Responses​

Request was successful

application/json
JSON
[
{
}
]

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python